| Home | Libraries | People | FAQ | More

#### strategy::transform::translate_transformer

Strategy of translate transformation in Cartesian system.

###### Description

Translate moves a geometry a fixed distance in 2 or 3 dimensions.

###### Synopsis

    template<typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>
    class strategy::transform::translate_transformer
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename CalculationType |
std::size_t Dimension1 | number of dimensions to transform from
std::size_t Dimension2 | number of dimensions to transform to

###### Header

`#include <boost/geometry/strategies/transform/matrix_transformers.hpp>`